
extern "C" 
{

//------------------------------------------------------------------------------------
// irr::IOSOperator wrappers
//------------------------------------------------------------------------------------

	bool Irr_IOSOperator_drop(IOSOperator* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* Irr_IOSOperator_getDebugName(IOSOperator* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void Irr_IOSOperator_grab(IOSOperator* unk)
	{
		if (unk)
			unk->grab();
	}

	void Irr_IOSOperator_copyToClipboard(IOSOperator* os,const c8 *text)
	{
		if (os)
			os->copyToClipboard(text);
	}
	
	const c8* Irr_IOSOperator_getOperationSystemVersion(IOSOperator* os)
	{
		if (os) {
			stringc* version=new stringc(os->getOperationSystemVersion());
			return version->c_str();
		} else return 0;
	}
	
	const c8* Irr_IOSOperator_getTextFromClipboard(IOSOperator* os)
	{
		if (os)
			return os->getTextFromClipboard();
		else return "";
	}
 
	bool Irr_IOSOperator_getProcessorSpeedMHz(IOSOperator* os,irr::u32* MHz)
	{
		if (os)
			return os->getProcessorSpeedMHz(MHz);
		else return false;
	}
	
	bool Irr_IOSOperator_getSystemMemory(IOSOperator* os,irr::u32* Total, irr::u32* Avail)
	{
		if (os)
			return os->getSystemMemory(Total,Avail);
		else return false;
	}
}


